Skip to main content
GET
/
v1
/
consent
/
{consentToken}
Get consent details
curl --request GET \
  --url https://idaas.yourflexpay.com/api/v1/consent/{consentToken} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "<string>",
  "errorCode": "<string>",
  "data": {
    "consentToken": "<string>",
    "tagString": "<string>",
    "requestingAppName": "<string>",
    "requestingSubjectDisplay": "<string>",
    "ownerDisplay": "<string>",
    "tokenExpiresAt": "2023-11-07T05:31:56Z",
    "expired": true,
    "claimState": "<string>"
  },
  "errors": [
    "<string>"
  ],
  "timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Obtain a token from POST /v1/auth/token using your client_id and client_secret, then enter Bearer <token> here.

Path Parameters

Response

Consent details returned

success
boolean
message
string
errorCode
string
data
object
errors
string[]
timestamp
string<date-time>